class RecurringSchedule {

    Task task
    Period period
    PlannedMaintenance plannedMaintenance

    Integer recurEvery
    Date startDate = new Date()
    boolean isActive = true

//     static hasMany = []

    static belongsTo = [Task]

    static constraints = {
        plannedMaintenance(blank:true, nullable:true)
    }

//     String toString() {
//         "${this.name}"
//     }
}

